{
    "doc": "Evaluation\n========================================",
    "fields": [
        {
            "doc": "Sample Id",
            "name": "sampleId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Reported phenotypic sex",
            "name": "reportedPhenotypicSex",
            "type": [
                "null",
                {
                    "doc": "Phenotypic sex",
                    "name": "Sex",
                    "symbols": [
                        "UNKNOWN",
                        "MALE",
                        "FEMALE",
                        "OTHER"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Reported karyotypic sex",
            "name": "reportedKaryotypicSex",
            "type": [
                "null",
                {
                    "doc": "Kariotypic sex\nTODO: Check if we want to have different karyotype definitions for XO clearcut/doubtful",
                    "name": "KaryotypicSex",
                    "symbols": [
                        "UNKNOWN",
                        "XX",
                        "XY",
                        "XO",
                        "XXY",
                        "XXX",
                        "XXYY",
                        "XXXY",
                        "XXXX",
                        "XYY",
                        "OTHER"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Inferred coverage-based sex karyotype",
            "name": "inferredSexKaryotype",
            "type": [
                "null",
                "KaryotypicSex"
            ]
        },
        {
            "doc": "Whether the sample is a sex query (yes, no, unknown, notTested)",
            "name": "sexQuery",
            "type": [
                "null",
                {
                    "doc": "A query",
                    "name": "Query",
                    "symbols": [
                        "yes",
                        "no",
                        "unknown",
                        "notTested"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Comments",
            "name": "comments",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "CoverageBasedSexCheck",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}